[youtubei.js](../../../../README.md) / [Utils](../README.md) / streamToIterable

# Function: streamToIterable()

> **streamToIterable**(`stream`): `AsyncGenerator`\<`Uint8Array`, `void`, `unknown`\>

Defined in: [src/utils/Utils.ts:189](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L189)

## Parameters

### stream

`ReadableStream`\<`Uint8Array`\>

## Returns

`AsyncGenerator`\<`Uint8Array`, `void`, `unknown`\>
